<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layout}" xmlns="http://www.w3.org/1999/html">
<head>
    <!-- Google Tag Manager -->
    <script>(function(w,d,s,l,i){w[l]=w[l]||[];w[l].push({'gtm.start':
            new Date().getTime(),event:'gtm.js'});var f=d.getElementsByTagName(s)[0],
        j=d.createElement(s),dl=l!='dataLayer'?'&l='+l:'';j.async=true;j.src=
        'https://www.googletagmanager.com/gtm.js?id='+i+dl;f.parentNode.insertBefore(j,f);
    })(window,document,'script','dataLayer','GTM-NLPDPX3');</script>
    <!-- End Google Tag Manager -->

    <meta charset="UTF-8">
    <title>Data Pendaftar</title>
</head>
<body>
<!-- Google Tag Manager (noscript) -->
<noscript><iframe src="https://www.googletagmanager.com/ns.html?id=GTM-NLPDPX3"
                  height="0" width="0" style="display:none;visibility:hidden"></iframe></noscript>
<!-- End Google Tag Manager (noscript) -->

<section layout:fragment="main" class="clearfix">
    <div class="row">
        <div class="col-md-12 col-sm-12 col-xs-12">
            <div class="x_panel tile fixed_height_160">
                <div class="x_title">
                    <ul class="nav navbar-right panel_toolbox">
                        <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                        </li>
                        <li class="dropdown">
                            <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-expanded="false"><i class="fa fa-wrench"></i></a>
                            <ul class="dropdown-menu" role="menu">
                                <li><a th:href="@{/pendaftar/list}">Semua</a>
                                </li>
                                <li><a th:href="@{/pendaftar/listS2}">Pascasarjana</a>
                                </li>
                            </ul>
                        </li>
                    </ul>
                    <h1>Data Pendaftar</h1>
                    <div class="clearfix"></div>
                </div>
                <div class="row clearfix">
                    <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                        <div class="card">
                            <div class="row clearfix">
                                <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                                    <div class="card">
                                        <div class="body">
                                            <div class="col-md-12 col-xs-12">
                                                <div class="col-md-6 pull-left">
                                                    <table>
                                                        <tr>
                                                            <td>
                                                                <form th:action="@{/pendaftar/xlsx}" method="get">
                                                                    <input type="submit" class="btn btn-sm btn-primary" value="Download Data Pendaftar XLSX">
                                                                </form>
                                                            </td>
                                                            <td>
                                                                <form th:action="@{/detail/xlsx}" method="get">
                                                                    <input style="margin-right: 100px;" type="submit" class="btn btn-sm btn-success" value="Download Data Detail XLSX
">
                                                                </form>
                                                            </td>
                                                        </tr>
                                                    </table>
                                                </div>
                                                <div class="col-md-6">
                                                    <form method="get">
                                                        <div class="col-md-8 col-sm-8 col-xs-12 form-group pull-right top_search">
                                                            <div class="input-group">
                                                                <input type="text" name="search"
                                                                       class="form-control" th:value="${search}"
                                                                       placeholder="Cari Nama/Nomor Registrasi...">
                                                                <span class="input-group-btn">
                                                             <button class="btn btn-info" style="color: white" type="submit">Cari</button>
                                                        </span>
                                                            </div>
                                                            <span class="pull-right">Show <span sd:page-size-selector="javascript"></span> entries</span>
                                                        </div>
                                                    </form>
                                                </div>
                                            </div>
                                            <hr>
                                            <div class="col-md-12 col-sm-12 col-xs-12" th:each="p : ${daftarPendaftar}">
                                                <div class="x_panel tile fixed_height_160">
                                                    <div class="col-sm-12">
                                                        <div class="left col-xs-2">
                                                            <img th:src="@{/images/user.png}" alt="" class="img-preview img-responsive">
                                                        </div>
                                                        <div class="left col-md-10 col-xs-10">
                                                            <h3 style="font-weight: bold" th:text="${p.nomorRegistrasi} + ' > ' + ${p.leads.nama}">Nicole Pearson</h3>
                                                            <p><h2 th:text="'Program Studi : '+${p.programStudi.nama}"></h2> </p>
                                                            <ul class="list-unstyled">
                                                                <li><i class="fa fa-building"></i><i th:text="' Email : '+ ${p.leads.email}"></i></li>
                                                                <li><i class="fa fa-phone"></i><i th:text="' No Handphone : '+ ${p.leads.noHp}"></i> </li>
                                                            </ul>
                                                            <div class="col-md-10 col-xs-12">
                                                                <a th:href="@{/pendaftar/update(id= ${p.id})}"
                                                                   type="button" class="btn btn-primary btn-xs">
                                                                    <i class="fa fa-edit"> </i> Edit Pendaftar
                                                                </a>

                                                                <a th:each="jt : ${jadwalTest}" th:href="@{/hasilTest/form(id=${jt.id})}" type="button"
                                                                   th:if="${jt.pendaftar.id} == ${p.id}"
                                                                   class="btn btn-warning btn-xs" sec:authorize ="hasAnyAuthority('VIEW_MASTER','VIEW_FINANCE')">
                                                                    <i class="fa fa-language"></i> Hasil Test
                                                                </a>



                                                                <button th:each="ht : ${hasilTest}" th:if="${ht != null} and ${ht.jadwalTest.pendaftar.id} == ${p.id}"
                                                                        type="button" class="btn btn-xs btn-primary" data-toggle="modal" th:attr="data-target=${'#editModal'+p.id}">
                                                                    <i class="fa fa-money"></i>&nbsp;Tagihan DU
                                                                </button>

                                                                <div class="modal fade" th:attr="id=${'editModal' + p.id}" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
                                                                    <div class="modal-dialog modal-dialog-centered" role="document">
                                                                        <div class="modal-content">
                                                                            <div class="modal-header">
                                                                                <h2  class="modal-title" id="exampleModalLabel">Tagihan Daftar Ulang</h2>
                                                                            </div>
                                                                            <form th:action="@{/pendaftar/updateTagihan(id=${p.id})}" th:object="${p}" method="post">
                                                                                <div class="modal-body">
                                                                                    <div class="row">
                                                                                        <div class="col-lg-6">
                                                                                            <h3 th:text="${p.leads.nama}"></h3>
                                                                                        </div>
                                                                                        <div class="col-lg-6">
                                                                                            <h3 th:text="${p.nomorRegistrasi}"></h3>
                                                                                        </div>
                                                                                    </div>
                                                                                    <div class="row">
                                                                                        <input type="hidden" th:value="${p.id}">
                                                                                        <div class="col-lg-12">
                                                                                            <label>Nominal Tagihan :</label>
                                                                                            <input type="text" th:value="${p.uangPangkal}" class="form-control" name="uangPangkal" placeholder="Nominal Tagihan">
                                                                                        </div>
                                                                                        <div class="col-lg-12">
                                                                                            <label>Keterangan :</label>
                                                                                            <select class="form-control"  name="keteranganTagihan">
                                                                                                <option th:value="${p.keteranganTagihan}" th:text="${p.keteranganTagihan}"></option>
                                                                                                <option value="Beasiswa Tazkia Cendikia">Tagihan Beasiswa Tazkia Cendikia</option>
                                                                                                <option value="Beasiswa Tazkia Gemilang">Tagihan Beasiswa Tazkia Gemilang</option>
                                                                                                <option value="Beasiswa Tazkia Unggulan">Tagihan Beasiswa Tazkia Unggulan </option>
                                                                                                <option value="Beasiswa Islam Terpadu">Tagihan Beasiswa Islam Terpadu</option>
                                                                                                <option value="Beasiswa Rapor">Tagihan Beasiswa Rapor</option>
                                                                                                <option value="Beasiswa Baitul Mal Aceh">Tagihan Beasiswa Baitul Mal Aceh</option>
                                                                                                <option value="Beasiswa Utusan Daerah Siak">Tagihan Beasiswa Utusan Daerah Siak</option>
                                                                                                <option value="Beasiswa Utusan Daerah Kaltim">Tagihan Beasiswa Utusan Daerah Kaltim</option>
                                                                                                <option value="Beasiswa Baznas Dumai">Tagihan Beasiswa Baznas Dumai</option>
                                                                                                <option value="Beasiswa Bazma Dumai">Tagihan Beasiswa Bazma Dumai</option>
                                                                                                <option value="Beasiswa Banyuasin">Tagihan Beasiswa Banyuasin</option>

                                                                                            </select>
                                                                                        </div>
                                                                                        <div class="col-lg-12">
                                                                                            <label>Tagihan Expired Tagihan :</label>
                                                                                            <input type="date" th:value="${p.expiredDate}" class="form-control" name="expiredDate" placeholder="Nominal Tagihan">
                                                                                        </div>
                                                                                    </div>
                                                                                </div>
                                                                                <div class="modal-footer">
                                                                                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                                                                                    <button type="submit" class="btn btn-primary">Save changes</button>
                                                                                </div>
                                                                            </form>
                                                                        </div>
                                                                    </div>
                                                                </div>

                                                                <a th:each="dt : ${detail}" th:href="@{/detailPendaftar/showDetail(id=${dt.pendaftar})}" type="button"
                                                                   th:if="${dt.pendaftar == p.id && dt.status == 'Ada' && p.leads.jenjang.S1 == p.leads.jenjang}"
                                                                   class="btn btn-info btn-xs">
                                                                    <i class="fa fa-database"></i> Detail Pendaftar
                                                                </a>
                                                                <a th:each="dt : ${detailS2}" th:href="@{/detailPendaftar/showDetailS2(id=${dt.pendaftar})}" type="button"
                                                                   th:if="${dt.pendaftar == p.id && dt.status == 'Ada' && p.leads.jenjang.S2 == p.leads.jenjang}"
                                                                   class="btn btn-info btn-xs">
                                                                    <i class="fa fa-database"></i> Detail Pendaftar
                                                                </a>
                                                                <a th:each="up : ${berkas}" th:href="@{/uploadBerkas/listAdmin(pendaftar=${up.pendaftar.id})}" type="button"
                                                                   th:if="${up.pendaftar.id == p.id}"
                                                                   class="btn btn-warning btn-xs">
                                                                    <i class="fa fa-file-image-o"></i> Berkas
                                                                </a>
                                                            </div>
                                                            <div th:each="tg : ${tagihan}" class="col-md-2 col-xs-12 pull-right" align="right"  sec:authorize ="hasAnyAuthority('VIEW_MASTER','VIEW_FINANCE')">
                                                                <a th:href="@{/tagihan/list(nama=${p.leads.nama},jenisBiaya='')}"
                                                                   th:if="${tg.pendaftar == p.id && tg.status == 'Ada'}"
                                                                   type="button"  class="btn btn-success btn-xs">
                                                                    <i class="fa fa-money"></i> Tagihan
                                                                </a>
                                                                <form th:if="${tg.pendaftar == p.id && tg.status == 'Kosong'}" method="post"
                                                                      th:action="@{/kirimNotifikasi/tagihan(id=${p.id})}">
                                                                    <button type="submit"  class="btn btn-danger btn-xs ">
                                                                        <i class="fa fa-send"></i> Kirim Notifikasi
                                                                    </button>
                                                                </form>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="col-xs-12 bottom">
                                                        <div class="left col-xs-6" th:each="ht : ${hasilTest}" th:if="${ht.jadwalTest.pendaftar.id} == ${p.id}">
                                                            <a href="#"><span class="fa fa-star"></span></a>
                                                            <strong th:each="ht : ${hasilTest}" th:if="${ht.jadwalTest.pendaftar.id} == ${p.id}" th:text="${ht.grade.nama}+' > '+${ht.periode.nama}"></strong>
                                                        </div>
                                                        <div class="left col-xs-7">
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>

                                            <div class="row">
                                                <div class="col-sm-6">
                                                    <div sd:pagination-summary="">info</div>
                                                </div>
                                            </div>
                                            <div class="row">
                                                <div class="col-sm-8">
                                                    <nav class="pull-right">
                                                        <ul class="pagination" sd:pagination="full">
                                                            <!-- Pagination created by SpringDataDialect, this content is just for mockup -->
                                                            <li class="disabled"><a href="#" aria-label="Previous"><span aria-hidden="true">&laquo;</span></a></li>
                                                            <li class="active"><a href="#">1 <span class="sr-only">(current)</span></a></li>
                                                        </ul>
                                                    </nav>
                                                </div>
                                            </div>
                                        </div>
                                        <!--//table//-->
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>

            </div>
        </div>
    </div>
</section>

</body>
</html>

<script>
    $(function () {
        $('[data-toggle="popover"]').popover()
    })
    $('.popover-dismiss').popover({
        trigger: 'focus'
    });
</script>